﻿using System;
using System.Linq;
using System.Windows;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace ComboboxColumnIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            //((GridViewComboBoxColumn)this.pilotsGrid.Columns["Country"]).ItemsSource = Country.GetCountries();
        }

        private void pilotsGrid_CurrentCellChanged(object sender, GridViewCurrentCellChangedEventArgs e)
        {
            RadGridView rgv = (RadGridView)sender;
            GridViewCell cell = rgv.CurrentCell;
            if (cell != null && typeof(GridViewDataColumn) == cell.Column.GetType())
            {
                string fieldname = cell.Column.UniqueName;
                if (fieldname == "CountryId")
                {
                    GridViewComboBoxColumn cbb = new GridViewComboBoxColumn();
                    cbb.DataMemberBinding = new System.Windows.Data.Binding(fieldname);
                    cbb.ItemsSource = Country.GetCountries();
                    cbb.SelectedValueMemberPath = "Id";
                    cbb.DisplayMemberPath = "Name";
                    cbb.UniqueName = "Country";
                    rgv.Columns.Remove(cell.Column);
                    rgv.Columns.Add(cbb);

                }
            }
        }
    }
}
